RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 2009403 - Make the installer environment hostname set for %post section from kickstart stable
Summary: Make the installer environment hostname set for %post section from kickstart ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 9
Classification: Red Hat
Component: anaconda
Version: 9.0
Hardware: All
OS: All
medium
high
Target Milestone: rc
: ---
Assignee: Anaconda Maintenance Team
QA Contact: Release Test Team
Sagar Dubewar
URL:
Whiteboard:
Depends On: 1975349
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-30 14:43 UTC by Radek Vykydal
Modified: 2022-05-17 12:43 UTC (History)
10 users (show)

Fixed In Version: anaconda-34.25.0.19-1.el9
Doc Type: Bug Fix
Doc Text:
.Anaconda sets a static hostname before running the `%post` scripts Previously, when Anaconda was setting the installer environment host name to the value from the kickstart configuration (`network --hostname`), it used to set a transient hostname. Some of the actions performed during `%post` script run, for example network device activation, were causing the host name reset to a value obtained by reverse `dns`. With this update, Anaconda now sets a static hostname of the installer environment to be stable during the run of kickstart `%post` scripts.
Clone Of: 1975349
Environment:
Last Closed: 2022-05-17 12:30:42 UTC
Type: Bug
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker RHELPLAN-98599 0 None None None 2021-09-30 14:44:43 UTC
Red Hat Issue Tracker RTT-3831 0 None None None 2021-10-06 12:44:34 UTC
Red Hat Issue Tracker RTT-3832 0 None None None 2021-10-06 12:44:40 UTC
Red Hat Product Errata RHBA-2022:2326 0 None None None 2022-05-17 12:30:51 UTC

Comment 1 Radek Vykydal 2021-09-30 15:28:36 UTC
https://github.com/rhinstaller/anaconda/pull/3634

Comment 6 Jan Stodola 2021-11-05 13:21:42 UTC
anaconda-34.25.0.19-1.el9 is present in compose RHEL-9.0.0-20211104.5, moving to VERIFIED.

Comment 7 Radek Vykydal 2021-11-15 15:31:50 UTC
For the release note we can use the RN of the RHEL 8.6 parent of this clone (when the DocText is finished).

Comment 10 errata-xmlrpc 2022-05-17 12:30:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (new packages: anaconda), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2022:2326


Note You need to log in before you can comment on or make changes to this bug.